MAKENOISE(1)

NAME
MakeNoise - add noise to an image

SYNOPSIS
astmknoise [OPTION...] ASTRdata

DESCRIPTION
MakeNoise is part of GNU Astronomy Utilities 0.20. MakeNoise will add noise to all the pixels in an input dataset. The noise parameters can be specified with the options below.

For more information, please run any of the following commands. In particular the second contains a very comprehensive explanation of MakeNoise's invocation: expected input(s), output(s), and a full description of all the options.

All options and their values:
    $ astmknoise -P

Inputs/Outputs and options:
    $ info astmknoise

Full section in manual/book:
    $ info MakeNoise

Full Gnuastro manual/book:
    $ info gnuastro

If you couldn't find your answer in the manual, you can get direct help from experienced Gnuastro users and developers. For more information, please run:

    $ info help-gnuastro

MakeNoise options:

    Input:

-b, --background=FLT
    Fixed background magnitude for whole input.

-h, --hdu=STR/INT
    Extension name or number of input data.

-i, --instrumental=FLT
    Instrument noise level (in pixel value units).

-I, --ignorecase
    Ignore case in matching/searching columns.

-s, --sigma=FLT
    Total noise sigma, ignore other options.

-z, --zeropoint=FLT
    Zeropoint magnitude of input.

    Output:

-D, --dontdelete
    Don't delete output if it exists.

-K, --keepinputdir
    Keep input directory for automatic output.

-o, --output=STR
    Output file name.

-T, --type=STR
    Type of output: e.g., int16, float32, etc...

--wcslinearmatrix=STR
    WCS linear matrix of output ('pc' or 'cd').

    Operating modes:

-?, --help
    give this help list

-B, --bgnotmag
    Background is brightness, not magnitude.

--checkconfig
    List all config files and variables read.

--cite
    BibTeX citation for this program.

--config=STR
    Read configuration file STR immediately.

-e, --envseed
    Use GSL_RNG_SEED environment variable for seed

--lastconfig
    Do not parse any more configuration files.

--log
    Information about output(s) in a log file.

--minmapsize=INT
    Min. bytes to avoid RAM automatically.

-N, --numthreads=INT
    Number of CPU threads to use.

--onlyversion=STR
    Only run if the program version is STR.

-P, --printparams
    Print parameter values to be used and abort.

--quietmmap
    Don't print mmap'd file's name and size.

-q, --quiet
    Only report errors, remain quiet about steps.

-S, --setdirconf
    Set default values for this directory and abort.

--usage
    give a short usage message

-U, --setusrconf
    Set default values for this user and abort.

-V, --version
    print program version

Mandatory or optional arguments to long options are also mandatory or optional for any corresponding short options.

GNU Astronomy Utilities home page: http://www.gnu.org/software/gnuastro/

REPORTING BUGS
Report bugs to bug-gnuastro@gnu.org.

COPYRIGHT
Copyright © 2015-2023 Free Software Foundation, Inc. License GPLv3+: GNU General public license version 3 or later.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

Written/developed by Mohammad Akhlaghi

SEE ALSO
The full documentation for MakeNoise is maintained as a Texinfo manual. If the info and MakeNoise programs are properly installed at your site, the command

    info MakeNoise

should give you access to the complete manual.